#include <iostream>
#include <vector>
using namespace std;

int main() 
{
    int n, poz = -1;
    long long l;
    scanf("%d %lld", &n, &l);
    vector<long long> h(n);
    for(int i = 0; i < n; i++)
    {
        scanf("%lld", &h[i]);
        if(h[i] <= l)
        {
            poz = i + 1;
            break;
        }
    }
    printf("%d\n", poz);
    return 0;
}